# Class: ColonAssignmentSpacing

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/colon_assignment_spacing.coffee

## Variables Summary

rule =

      {
        name: 'colon_assignment_spacing',
        level: 'ignore',
        message: 'Colon assignment without proper spacing',
        spacing: {
          left: 0,
          right: 0
        },
        description: "<p>This rule checks to see that there is spacing before and\nafter the colon in a colon assignment (i.e., classes, objects).\nThe spacing amount is specified by\nspacing.left and spacing.right, respectively.\nA zero value means no spacing required.\n</p>\n<pre><code>\n\n###\nGood\n###\nobject = {spacing : true}\nclass Dog\n  canBark : true\n\n###\nBad\n###\nobject = {spacing: true}\nclass Cat\n  canBark: false\n</code></pre>"
      }

tokens =

      [':']

## Instance Method Summary

- # (void) lintToken(token, tokenApi)

## Instance Method Details

# (void) lintToken(token, tokenApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input